about summary refs log tree commit diff
diff options
context:
space:
mode:
authorhexcoder- <heiko@hexco.de>2021-02-06 12:04:29 +0100
committerhexcoder- <heiko@hexco.de>2021-02-06 12:04:29 +0100
commit08076f0500fda00ba09a926a25a0300dc21bade0 (patch)
tree4ac694eb950098869b4180604918b216590d2ea9
parente81f30828fbe6374b0fd3be03ebc13cfb490f8a3 (diff)
downloadafl++-08076f0500fda00ba09a926a25a0300dc21bade0.tar.gz
fix qemu build script for Arch Linux ($CROSS)
-rwxr-xr-xqemu_mode/build_qemu_support.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/qemu_mode/build_qemu_support.sh b/qemu_mode/build_qemu_support.sh
index a435f6f6..a161cc43 100755
--- a/qemu_mode/build_qemu_support.sh
+++ b/qemu_mode/build_qemu_support.sh
@@ -364,6 +364,10 @@ ORIG_CROSS="$CROSS"
 
 if [ "$ORIG_CROSS" = "" ]; then
   CROSS=$CPU_TARGET-linux-gnu-gcc
+  if ! command -v "$CROSS" > /dev/null
+  then # works on Arch Linux
+    CROSS=$CPU_TARGET-pc-linux-gnu-gcc
+  fi
 fi
 
 if ! command -v "$CROSS" > /dev/null